> For the complete documentation index, see [llms.txt](https://docs.caf.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.caf.io/caf-sdk/flutter/standalone-modules/documentdetector/start-sdk.md).

# Start Liveness Verification

## Calling `start`

To start document detection, initialize `DocumentDetector` with the necessary configurations, then call `start()` and handle events using a listener:

```dart
void startDocumentDetector(List<DocumentCaptureFlow> captureFlow) async {
  String personId = personIdController.text;
  String mobileToken = mobileTokenController.text;

  DocumentDetector documentDetector =
  DocumentDetector(mobileToken: mobileToken, captureFlow: captureFlow);

  // Configure Android-specific settings
  AndroidSettings androidSettings = AndroidSettings(
      securitySettings: SecuritySettings(
          useAdb: true,
          useDebug: true,
          useDeveloperMode: true,
          useEmulator: true,
          useRoot: true));

  documentDetector.setAndroidSettings(androidSettings);
  documentDetector.setNetworkSettings(20);
  documentDetector.setStage(isBeta ? CafStage.beta : CafStage.prod);
  documentDetector.setPersonId(personId);
  documentDetector.setPreviewSettings(PreviewSettings(show: true));

  try {
    DocumentDetectorEvent event = await documentDetector.start();
    // Handle the result
    if (event is DocumentDetectorEventSuccess) {
      print("SUCCESS: ${event.documentType}");
    } else if (event is DocumentDetectorEventFailure) {
      print("FAILURE: ${event.errorMessage}");
    } else if (event is DocumentDetectorEventClosed) {
      print("User closed document capture flow");
    }
  } catch (e) {
    print("Error starting DocumentDetector: ${e}");
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.caf.io/caf-sdk/flutter/standalone-modules/documentdetector/start-sdk.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
